/* Style du composant badge.php servant à afficher les initiales d'un utilisateur dans un cercle */

.circle-container {
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: default;
  }
.circle {
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 2em;
}
/* stylise le badge de taille petite dans le header */
.header_user_menu .circle {
    background-color: var(--secondary-200, #FDE18D);
    border: 3px solid var(--primary-900);
    font-weight: 800;
    font-size: var(--font-size-400);
    letter-spacing: -1px;
    min-width: 43px
}
/* stylise le badge de taille plus grande dans le contexte du compte utilisateur */
.user-account_container .circle {
    background-color: var(--background, #f8f3ec);
    min-width: 90px;
    border: 4px solid var(--primary-900);
    font-weight: 700;
    font-size: var(--font-size-700);
    letter-spacing: -3px;
} 
.circle::before {
    content: '';
    display: block;
    padding-bottom: 100%;
}

/* stylise la span qui contient les initiales dans le badge */
.initials {
    padding: 0.3em;
    color: var(--primary-900, #2F40CD);
    font-family: Inter;
    /* font-size: var(--font-size-700); */
    font-style: normal;
    /* font-weight: 700; */
    /* letter-spacing: -2px; */
    /* min-width: 3.3em; */
    display: flex;
    justify-content: center;
    text-transform: uppercase;
    text-decoration: none;
}

/* ---------- M E D I A   Q U E R I E S ---------- */

/* ex-600px */
@media only screen and (max-width: 1023px) {
    .header_user_menu{
        display: none;
    }
    
    .header_user_menu .circle {
		width: 25px;
		min-width: 25px;
		height: 25px;
        font-size: 10px;
		background-color: var(--white);
		border: 2px solid var(--black);
	}
    .initials {
        color: var(--black);
    }
}